<div class="product">
  <div class="product__img">
    <div>
      <img  ng-src="{{$ctrl.product.imgUrl}}"></img>
    </div>
  </div>
  <h3 class="product__title">{{$ctrl.product.name}}</h3>
  <h4 class="product__cost">
    {{$ctrl.product.cost | currency:"":2}}RUB&nbsp;&nbsp;
    <span title="Available" class="txt-green">{{$ctrl.product.count - $ctrl.product.countInCart}}</span>
    <span ng-show="$ctrl.product.countInCart">:
    <span class="txt-dark-red"  title="Already in cart">{{$ctrl.product.countInCart}}</span>
    </span>
  </h4>
  <div class="product__actions">
    <span>In cart:&nbsp;</span>
    <input type="text" ng-readonly="true" ng-model="$ctrl.product.countInCart" />&nbsp;
    <button class="btn btn-success btn-sm" ng-click="$ctrl.addToCart()"
            ng-disabled="$ctrl.btnCartDisabled || $ctrl.product.countInCart === $ctrl.product.count">
      Add
    </button>&nbsp;
    <button class="btn btn-danger btn-sm" ng-click="$ctrl.removeFromCart()" ng-disabled="$ctrl.btnCartDisabled || $ctrl.product.countInCart == 0 ">
      Remove
    </button>
  </div>
</div>
